GET api/UnitMaster/GetUnitMaster
Request Information
URI Parameters
None.
Body Parameters
None.
Response Information
Resource Description
Collection of UnitMasterModel| Name | Description | Type | Additional information |
|---|---|---|---|
| UnitId | integer |
None. |
|
| UnitName | string |
Required Matching regular expression pattern: ^[a-zA-Z]+[ a-zA-Z-_\.]*$ String length: inclusive between 0 and 30 |
|
| UnitQuantityCode | string |
Required Matching regular expression pattern: ^[a-zA-Z]+[ a-zA-Z-_\.]*$ String length: inclusive between 0 and 10 |
|
| CreatedBy | integer |
None. |
|
| CreatedDate | date |
None. |
|
| UpdatedBy | integer |
None. |
|
| UpdatedDate | date |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"unitId": 1,
"unitName": "sample string 2",
"unitQuantityCode": "sample string 3",
"createdBy": 4,
"createdDate": "2026-04-13T20:22:12.4249632+05:30",
"updatedBy": 6,
"updatedDate": "2026-04-13T20:22:12.4249632+05:30"
},
{
"unitId": 1,
"unitName": "sample string 2",
"unitQuantityCode": "sample string 3",
"createdBy": 4,
"createdDate": "2026-04-13T20:22:12.4249632+05:30",
"updatedBy": 6,
"updatedDate": "2026-04-13T20:22:12.4249632+05:30"
}
]
application/xml, text/xml
Sample:
<ArrayOfUnitMasterModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/DistributionApplication.Entities">
<UnitMasterModel>
<CreatedBy>4</CreatedBy>
<CreatedDate>2026-04-13T20:22:12.4249632+05:30</CreatedDate>
<UnitId>1</UnitId>
<UnitName>sample string 2</UnitName>
<UnitQuantityCode>sample string 3</UnitQuantityCode>
<UpdatedBy>6</UpdatedBy>
<UpdatedDate>2026-04-13T20:22:12.4249632+05:30</UpdatedDate>
</UnitMasterModel>
<UnitMasterModel>
<CreatedBy>4</CreatedBy>
<CreatedDate>2026-04-13T20:22:12.4249632+05:30</CreatedDate>
<UnitId>1</UnitId>
<UnitName>sample string 2</UnitName>
<UnitQuantityCode>sample string 3</UnitQuantityCode>
<UpdatedBy>6</UpdatedBy>
<UpdatedDate>2026-04-13T20:22:12.4249632+05:30</UpdatedDate>
</UnitMasterModel>
</ArrayOfUnitMasterModel>